Bug 858157 - FTBFS: libgweather/gweather-gconf.h: No such file or directory
FTBFS: libgweather/gweather-gconf.h: No such file or directory
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 03:54 EDT by Jens Petersen
Modified: 2012-09-27 08:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-applets-3.5.92-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 21:52:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-09-18 03:54:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. fedpkg clone -b f18 gnome-applets
2. fedpkg build --scratch
3.
  
Actual results:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4497437

:
make[3]: Entering directory `/builddir/build/BUILD/gnome-applets-3.5.91/gweather'
  CC       main.o
  CC       gweather-about.o
  CC       gweather-pref.o
  CC       gweather-dialog.o
main.c:20:40: fatal error: libgweather/gweather-gconf.h: No such file or directory

Expected results:
No error

Additional info:
It seems libgweather-devel-3.5.91 no longer provides gweather-gconf.h.

Maybe the gweather applet is kind of redundant now anyway and could be dropped from fedora's gnome-applets perhaps?

I can try to come up with a patch to do that.
Comment 1 Kalev Lember 2012-09-22 08:45:16 EDT
This is fixed in gnome-applets 3.5.92 upstream release.
Comment 2 Jens Petersen 2012-09-23 21:52:09 EDT
Thanks
Comment 3 Fedora Update System 2012-09-27 08:07:56 EDT
abattis-cantarell-fonts-0.0.10.1-1.fc18,accerciser-3.6.0-1.fc18,accountsservice-0.6.25-1.fc18,anjuta-3.6.0-1.fc18,atk-2.6.0-1.fc18,at-spi2-atk-2.6.0-1.fc18,at-spi2-core-2.6.0-1.fc18,baobab-3.6.0-1.fc18,brasero-3.6.0-1.fc18,cheese-3.6.0-1.fc18,clutter-1.12.0-2.fc18,clutter-gst2-1.9.92-1.fc18,cogl-1.12.0-1.fc18,control-center-3.6.0-1.fc18,dconf-0.14.0-1.fc18,deja-dup-24.0-1.fc18,devhelp-3.6.0-1.fc18,empathy-3.6.0-2.fc18,eog-3.6.0-1.fc18,eog-plugins-3.6.0-1.fc18,epiphany-3.6.0-1.fc18,evince-3.6.0-1.fc18,file-roller-3.6.0-1.fc18,gcalctool-6.6.0-1.fc18,gcr-3.6.0-1.fc18,gdlmm-3.3.2-4.fc18,gdm-3.6.0-1.fc18,gedit-3.6.0-1.fc18,gedit-collaboration-3.6.0-1.fc18,gedit-plugins-3.6.0-1.fc18,ghex-3.6.0-1.fc18,gjs-1.34.0-1.fc18,glib2-2.34.0-1.fc18,glibmm24-2.33.13-1.fc18,glib-networking-2.34.0-1.fc18,gnome-applets-3.5.92-3.fc18,gnome-backgrounds-3.6.0-1.fc18,gnome-bluetooth-3.6.0-1.fc18,gnome-boxes-3.6.0-1.fc18,gnome-color-manager-3.6.0-1.fc18,gnome-contacts-3.6.0-1.fc18,gnome-desktop3-3.6.0.1-1.fc18,gnome-devel-docs-3.6.0-1.fc18,gnome-dictionary-3.6.0-1.fc18,gnome-disk-utility-3.6.0-1.fc18,gnome-documents-3.6.0-1.fc18,gnome-font-viewer-3.6.0-1.fc18,gnome-games-3.6.0.2-1.fc18,gnome-icon-theme-3.6.0-1.fc18,gnome-icon-theme-symbolic-3.6.0-1.fc18,gnome-keyring-3.6.0-1.fc18,gnome-menus-3.6.0-1.fc18,gnome-online-accounts-3.6.0-1.fc18,gnome-packagekit-3.6.0-1.fc18,gnome-panel-3.6.0-1.fc18,gnome-power-manager-3.6.0-1.fc18,gnome-screensaver-3.6.0-1.fc18,gnome-screenshot-3.6.0-1.fc18,gnome-search-tool-3.6.0-1.fc18,gnome-session-3.6.0-1.fc18,gnome-settings-daemon-3.6.0-1.fc18,gnome-shell-3.6.0-1.fc18,gnome-system-log-3.6.0-1.fc18,gnome-system-monitor-3.6.0-1.fc18,gnome-terminal-3.6.0-1.fc18,gnome-themes-standard-3.6.0.2-1.fc18,gnome-user-docs-3.6.0-1.fc18,gnome-user-share-3.0.4-1.fc18,gnote-3.6.0-1.fc18,gobject-introspection-1.34.0-1.fc18,gsettings-desktop-schemas-3.6.0-1.fc18,gtk2-2.24.13-1.fc18,gtk3-3.6.0-1.fc18,gtkmm30-3.5.12-1.fc18,gtkpod-2.1.2-2.fc18,gtksourceview3-3.6.0-1.fc18,gtranslator-2.91.5-4.fc18,gucharmap-3.5.99-1.fc18,gvfs-1.14.0-1.fc18,libcryptui-3.6.0-1.fc18,libgdl-3.6.0-1.fc18,libgee06-0.6.5-1.fc18,libgnomekbd-3.6.0-1.fc18,libgnome-keyring-3.6.0-1.fc18,libgweather-3.6.0-1.fc18,libpeas-1.6.0-1.fc18,librsvg2-2.36.3-1.fc18,libsigc++20-2.2.11-1.fc18,libsoup-2.40.0-1.fc18,libwnck3-3.4.3-1.fc18,libxklavier-5.3-1.fc18,mousetweaks-3.6.0-1.fc18,mutter-3.6.0-1.fc18,nautilus-3.6.0-1.fc18,nautilus-sendto-3.6.0-1.fc18,nemiver-0.9.3-3.fc18,orca-3.6.0-1.fc18,seahorse-3.6.0-1.fc18,seahorse-nautilus-3.6.0-1.fc18,seahorse-sharing-3.6.0-1.fc18,simple-scan-3.6.0-1.fc18,sushi-3.6.0-1.fc18,telepathy-glib-0.19.10-1.fc18,tomboy-1.12.0-1.fc18,totem-3.6.0-1.fc18,vala-0.18.0-1.fc18,vinagre-3.6.0-1.fc18,vino-3.6.0-1.fc18,webkitgtk3-1.10.0-1.fc18,yelp-3.6.0-1.fc18,yelp-tools-3.6.0-1.fc18,yelp-xsl-3.6.0-1.fc18,zenity-3.6.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abattis-cantarell-fonts-0.0.10.1-1.fc18,accerciser-3.6.0-1.fc18,accountsservice-0.6.25-1.fc18,anjuta-3.6.0-1.fc18,atk-2.6.0-1.fc18,at-spi2-atk-2.6.0-1.fc18,at-spi2-core-2.6.0-1.fc18,baobab-3.6.0-1.fc18,brasero-3.6.0-1.fc18,cheese-3.6.0-1.fc18,clutter-1.12.0-2.fc18,clutter-gst2-1.9.92-1.fc18,cogl-1.12.0-1.fc18,control-center-3.6.0-1.fc18,dconf-0.14.0-1.fc18,deja-dup-24.0-1.fc18,devhelp-3.6.0-1.fc18,empathy-3.6.0-2.fc18,eog-3.6.0-1.fc18,eog-plugins-3.6.0-1.fc18,epiphany-3.6.0-1.fc18,evince-3.6.0-1.fc18,file-roller-3.6.0-1.fc18,gcalctool-6.6.0-1.fc18,gcr-3.6.0-1.fc18,gdlmm-3.3.2-4.fc18,gdm-3.6.0-1.fc18,gedit-3.6.0-1.fc18,gedit-collaboration-3.6.0-1.fc18,gedit-plugins-3.6.0-1.fc18,ghex-3.6.0-1.fc18,gjs-1.34.0-1.fc18,glib2-2.34.0-1.fc18,glibmm24-2.33.13-1.fc18,glib-networking-2.34.0-1.fc18,gnome-applets-3.5.92-3.fc18,gnome-backgrounds-3.6.0-1.fc18,gnome-bluetooth-3.6.0-1.fc18,gnome-boxes-3.6.0-1.fc18,gnome-color-manager-3.6.0-1.fc18,gnome-contacts-3.6.0-1.fc18,gnome-desktop3-3.6.0.1-1.fc18,gnome-devel-docs-3.6.0-1.fc18,gnome-dictionary-3.6.0-1.fc18,gnome-disk-utility-3.6.0-1.fc18,gnome-documents-3.6.0-1.fc18,gnome-font-viewer-3.6.0-1.fc18,gnome-games-3.6.0.2-1.fc18,gnome-icon-theme-3.6.0-1.fc18,gnome-icon-theme-symbolic-3.6.0-1.fc18,gnome-keyring-3.6.0-1.fc18,gnome-menus-3.6.0-1.fc18,gnome-online-accounts-3.6.0-1.fc18,gnome-packagekit-3.6.0-1.fc18,gnome-panel-3.6.0-1.fc18,gnome-power-manager-3.6.0-1.fc18,gnome-screensaver-3.6.0-1.fc18,gnome-screenshot-3.6.0-1.fc18,gnome-search-tool-3.6.0-1.fc18,gnome-session-3.6.0-1.fc18,gnome-settings-daemon-3.6.0-1.fc18,gnome-shell-3.6.0-1.fc18,gnome-system-log-3.6.0-1.fc18,gnome-system-monitor-3.6.0-1.fc18,gnome-terminal-3.6.0-1.fc18,gnome-themes-standard-3.6.0.2-1.fc18,gnome-user-docs-3.6.0-1.fc18,gnome-user-share-3.0.4-1.fc18,gnote-3.6.0-1.fc18,gobject-introspection-1.34.0-1.fc18,gsettings-desktop-schemas-3.6.0-1.fc18,gtk2-2.24.13-1.fc18,gtk3-3.6.0-1.fc18,gtkmm30-3.5.12-1.fc18,gtkpod-2.1.2-2.fc18,gtksourceview3-3.6.0-1.fc18,gtranslator-2.91.5-4.fc18,gucharmap-3.5.99-1.fc18,gvfs-1.14.0-1.fc18,libcryptui-3.6.0-1.fc18,libgdl-3.6.0-1.fc18,libgee06-0.6.5-1.fc18,libgnomekbd-3.6.0-1.fc18,libgnome-keyring-3.6.0-1.fc18,libgweather-3.6.0-1.fc18,libpeas-1.6.0-1.fc18,librsvg2-2.36.3-1.fc18,libsigc++20-2.2.11-1.fc18,libsoup-2.40.0-1.fc18,libwnck3-3.4.3-1.fc18,libxklavier-5.3-1.fc18,mousetweaks-3.6.0-1.fc18,mutter-3.6.0-1.fc18,nautilus-3.6.0-1.fc18,nautilus-sendto-3.6.0-1.fc18,nemiver-0.9.3-3.fc18,orca-3.6.0-1.fc18,seahorse-3.6.0-1.fc18,seahorse-nautilus-3.6.0-1.fc18,seahorse-sharing-3.6.0-1.fc18,simple-scan-3.6.0-1.fc18,sushi-3.6.0-1.fc18,telepathy-glib-0.19.10-1.fc18,tomboy-1.12.0-1.fc18,totem-3.6.0-1.fc18,vala-0.18.0-1.fc18,vinagre-3.6.0-1.fc18,vino-3.6.0-1.fc18,webkitgtk3-1.10.0-1.fc18,yelp-3.6.0-1.fc18,yelp-tools-3.6.0-1.fc18,yelp-xsl-3.6.0-1.fc18,zenity-3.6.0-1.fc18

Note You need to log in before you can comment on or make changes to this bug.